// creator  : weidu.exe (version 23600)
// argument : MULTIG.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~MULTIG~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 6 even though they appear after this state */
~  RandomNum(6,1)
~ THEN BEGIN 0 // from:
  SAY #19524 /* ~Fine! I never liked any of you anyway. Goodbye.~ */
  IF ~~ THEN DO ~LeaveParty()
SetDialogue("multij")
~ EXIT
END

IF WEIGHT #2 /* Triggers after states #: 6 even though they appear after this state */
~  RandomNum(6,2)
~ THEN BEGIN 1 // from:
  SAY #19525 /* ~If that's the way you want it, then so be it. I'll go find some folks that are serious about adventuring.~ */
  IF ~~ THEN DO ~LeaveParty()
SetDialogue("multij")
~ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 6 even though they appear after this state */
~  RandomNum(6,3)
~ THEN BEGIN 2 // from:
  SAY #19526 /* ~Goodnight ladies, have fun on your little "adventure."~ */
  IF ~~ THEN DO ~LeaveParty()
SetDialogue("multij")
~ EXIT
END

IF WEIGHT #4 /* Triggers after states #: 6 even though they appear after this state */
~  RandomNum(6,4)
~ THEN BEGIN 3 // from:
  SAY #19527 /* ~Perhaps we shall meet again. Until next time, friends.~ */
  IF ~~ THEN DO ~LeaveParty()
SetDialogue("multij")
~ EXIT
END

IF WEIGHT #5 /* Triggers after states #: 6 even though they appear after this state */
~  RandomNum(6,5)
~ THEN BEGIN 4 // from:
  SAY #19528 /* ~I shall take my leave of ye. Perhaps another day we can continue our grand quest.~ */
  IF ~~ THEN DO ~LeaveParty()
SetDialogue("multij")
~ EXIT
END

IF WEIGHT #6 /* Triggers after states #: 6 even though they appear after this state */
~  RandomNum(6,6)
~ THEN BEGIN 5 // from:
  SAY #19529 /* ~Good eve to you all. I shall surely see you some other day.~ */
  IF ~~ THEN DO ~LeaveParty()
SetDialogue("multij")
~ EXIT
END

IF WEIGHT #0 ~  PartyHasItem("MISC75")
~ THEN BEGIN 6 // from:
  SAY #19530 /* ~Those pantaloons make you look like such a tool. See ya, Chester.~ */
  IF ~~ THEN DO ~LeaveParty()
SetDialogue("multij")
~ EXIT
END
